## kaccounts-providers 22.08.1

=== debian/changelog ===
kaccounts-providers (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:36:33 +0100

kaccounts-providers (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:46:47 +0100

kaccounts-providers (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:24:08 +0100

kaccounts-providers (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 07:57:51 +0100

kaccounts-providers (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:54:49 +0100

kaccounts-providers (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:44:27 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.70.0~),
               gettext,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:22.08.1~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5package-dev (>= 5.70.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
               qtwebengine5-dev (>= 5.12.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 22.12.3

=== debian/changelog ===
kaccounts-providers (4:22.12.3-2) unstable; urgency=medium

  * Team upload.
  * Remove inactive Uploaders.
  * Stop using qtwebengine5-dev on mipsel, as it will be removed soon from
    that architecture.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * CI: enable again blhc, as it works fine now with blhc 0.13.

 -- Pino Toscano <pino@debian.org>  Wed, 19 Jul 2023 06:22:41 +0200

kaccounts-providers (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:11 +0100

kaccounts-providers (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:59:13 +0100

kaccounts-providers (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:22 +0100

kaccounts-providers (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 17:19:40 +0100

kaccounts-providers (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).
  * Drop patch since upstream allowed for option qtwebengine.

 -- Norbert Preining <norbert@preining.info>  Tue, 17 Aug 2021 12:26:16 +0900

kaccounts-providers (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:51:31 +0900

kaccounts-providers (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 09:51:36 +0900

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:20.12.0~),
               libkf5declarative-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5package-dev (>= 5.85.0~),
               libsignon-qt5-dev,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386],
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 23.04.1

=== debian/changelog ===
kaccounts-providers (4:23.04.1-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 12:13:34 +0000

kaccounts-providers (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 10:04:07 +0000

kaccounts-providers (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:00:38 +0000

kaccounts-providers (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:30:06 +0000

kaccounts-providers (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:06:44 +0000

kaccounts-providers (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:13:25 +0000

kaccounts-providers (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:34:28 +0000

kaccounts-providers (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:08:06 +0000

kaccounts-providers (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:37:45 +0000

kaccounts-providers (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:23:52 +0000

kaccounts-providers (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:51:28 +0000

kaccounts-providers (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:45:21 +0000

kaccounts-providers (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:56:43 +0000

kaccounts-providers (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:57:46 +0000

kaccounts-providers (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:56:34 +0000

kaccounts-providers (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 02 Nov 2021 16:42:47 +0000

kaccounts-providers (4:21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 05 Oct 2021 10:04:05 +0000

kaccounts-providers (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:31:30 +0000

kaccounts-providers (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021.12.27:53 +0000

kaccounts-providers (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:49:13 +0000

kaccounts-providers (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:21:22 +0000

kaccounts-providers (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:51:26 +0000

kaccounts-providers (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:20:12 +0000

kaccounts-providers (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:57:06 +0000

kaccounts-providers (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:12:40 +0000

kaccounts-providers (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021.12.23:37 +0000

kaccounts-providers (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:31:52 +0000

kaccounts-providers (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:04:51 +0000

kaccounts-providers (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:19:46 +0000

kaccounts-providers (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:12:51 +0000

kaccounts-providers (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:37:04 +0000

kaccounts-providers (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:21:47 +0000

kaccounts-providers (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:44:55 +0000

kaccounts-providers (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 10:55:41 +0000

kaccounts-providers (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:44:33 +0000

kaccounts-providers (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:14:48 +0000

kaccounts-providers (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:50:29 +0000

kaccounts-providers (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:07:19 +0000

kaccounts-providers (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:06:57 +0000

kaccounts-providers (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:20:23 +0000

kaccounts-providers (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:18:26 +0000

kaccounts-providers (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:34:08 +0000

kaccounts-providers (4:19.04.2-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Uploaders: Diane Trout <diane@ghic.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.0.0~),
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:17.08~),
               libkf5declarative-dev (>= 5.4.0~),
               libkf5i18n-dev (>= 5.4.0~),
               libkf5kio-dev (>= 5.4.0~),
               libkf5package-dev (>= 5.4.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.2.0~),
               qtdeclarative5-dev (>= 5.2.0~),
               qtwebengine5-dev
Standards-Version: 4.1.2
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Git: https://invent.kde.org/neon/kde/kaccounts-providers.git
Vcs-Browser: https://invent.kde.org/neon/kde/kaccounts-providers
Maintainer: Neon CI <neon@kde.org>

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf5purpose-bin
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 23.08.0

=== debian/changelog ===
kaccounts-providers (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:50:47 +0100

kaccounts-providers (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:30:48 +0100

kaccounts-providers (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:43:02 +0100

kaccounts-providers (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:54:17 +0100

kaccounts-providers (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:34:52 +0000

kaccounts-providers (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:11:38 -0600

kaccounts-providers (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:11:56 +0000

kaccounts-providers (4:22.12.0-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 12:15:01 +0000

kaccounts-providers (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:05:47 +0000

kaccounts-providers (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:02:11 +0000

kaccounts-providers (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:48:02 +0000

kaccounts-providers (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:05:49 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Diane Trout <diane@ghic.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.85.0~),
               gettext,
               intltool,
               libaccounts-glib-dev,
               libkaccounts-dev (>= 4:23.08.0~),
               libkf5declarative-dev (>= 5.85.0~),
               libkf5i18n-dev (>= 5.85.0~),
               libkf5kio-dev (>= 5.85.0~),
               libkf5package-dev (>= 5.85.0~),
               libsignon-qt5-dev,
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qtwebengine5-dev (>= 5.15.0~) [amd64 arm64 armhf i386 mipsel],
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         qml-module-qtwebengine [amd64 arm64 armhf i386 mipsel],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5purpose-bin
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 23.08.1

=== debian/changelog ===
kaccounts-providers (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:55:55 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.0~),
+               libkaccounts-dev (>= 4:23.08.1~),
                libkf5declarative-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),

## kaccounts-providers 23.08.4

=== debian/changelog ===
kaccounts-providers (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:12:11 +0000

kaccounts-providers (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:31:25 +0000

kaccounts-providers (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:27:46 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.1~),
+               libkaccounts-dev (>= 4:23.08.4~),
                libkf5declarative-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),

## kaccounts-providers 23.08.5

=== plugins/CMakeLists.txt ===
add_subdirectory(owncloud-ui)
if(Qt5WebEngine_FOUND)
    add_subdirectory(nextcloud-ui)
endif()

=== providers/CMakeLists.txt ===
kaccounts_add_provider(google.provider.in)
kaccounts_add_provider(owncloud.provider.in)
if(Qt5WebEngine_FOUND)
    kaccounts_add_provider(nextcloud.provider.in)
endif()

=== plugins/nextcloud-ui/CMakeLists.txt ===
add_library(nextcloud_plugin_kaccounts MODULE
    nextcloud.cpp
    nextcloudcontroller.cpp
)

target_link_libraries(nextcloud_plugin_kaccounts
                       Qt5::Core
                       Qt5::WebEngine
                       KF5::KIOCore
                       KF5::I18n
                       KF5::Declarative
                       KF5::Package
                       KAccounts
)

install(TARGETS nextcloud_plugin_kaccounts
         DESTINATION ${PLUGIN_INSTALL_DIR}/kaccounts/ui
)
kpackage_install_package(package org.kde.kaccounts.nextcloud genericqml)

ecm_install_icons(
ICONS
    sc-apps-kaccounts-nextcloud.svg
DESTINATION
    ${ICON_INSTALL_DIR}
)

=== debian/changelog ===
kaccounts-providers (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:01:02 +0000

kaccounts-providers (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:40:28 +0000

kaccounts-providers (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:33:59 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                gettext,
                intltool,
                libaccounts-glib-dev,
-               libkaccounts-dev (>= 4:23.08.4~),
+               libkaccounts-dev (>= 4:23.08.5~),
                libkf5declarative-dev (>= 5.85.0~),
                libkf5i18n-dev (>= 5.85.0~),
                libkf5kio-dev (>= 5.85.0~),

## kaccounts-providers 24.08.1

=== debian/changelog ===
kaccounts-providers (4:24.08.1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify the package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 30 Oct 2024 15:23:33 -0500

kaccounts-providers (4:24.08.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sun, 22 Sep 2024 01:18:52 +0200

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386]
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf6purpose-bin
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 24.12.0

=== debian/changelog ===
kaccounts-providers (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 25 Dec 2024 19:16:15 +0100

kaccounts-providers (4:24.08.1-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 25 Nov 2024 00:06:45 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               libsignon-qt6-dev,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtqml-base,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf6purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 24.12.1

=== debian/changelog ===
kaccounts-providers (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:25:50 +0000

kaccounts-providers (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:04:46 +0000

kaccounts-providers (4:24.11.90-0ubuntu3) plucky; urgency=medium

  * Drop depreciated qml6-module-qtqml-base depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Dec 2024 15:26:42 +0000

kaccounts-providers (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 08 Dec 2024 18:10:38 -0600

kaccounts-providers (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:03:13 +0000

kaccounts-providers (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 27 Nov 2024 19:35:01 +0000

kaccounts-providers (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:36:36 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev (>= 4:24.12.1~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: plasma-desktoptheme,
         qml6-module-org-kde-kirigami,
         qml6-module-qtqml,
         qml6-module-qtqml-models,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtquick-shapes,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-window,
         qml6-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libkf6purpose-bin
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 24.12.2

=== debian/changelog ===
kaccounts-providers (4:24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * New upstream release (24.12.2).
  * Use dh_qmldeps to detect QML dependencies.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Mar 2025 21:20:36 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               libkirigami-dev,
               libsignon-qt6-dev,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-desktoptheme,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: libkf6purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 24.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(RELEASE_SERVICE_VERSION_MAJOR "24")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(kde-account-providers LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "6.0")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(FeatureSummary)
include(ECMDeprecationSettings)

find_package(KAccounts6 REQUIRED)

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml)

find_package(Qt6WebEngineQuick ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6WebEngineQuick
        PROPERTIES TYPE OPTIONAL
        PURPOSE "Required for Nextcloud Accounts plugin"
        )
set(HAVE_WEBENGINE ${Qt6WebEngineQuick_FOUND})

find_package(KF6 ${KF_MIN_VERSION} REQUIRED KIO I18n Package)

find_package(QCoro6 REQUIRED COMPONENTS Core Network)

qcoro_enable_coroutines()

ecm_set_disabled_deprecation_versions(QT 5.15.2
     KF 5.101.0
    )

add_subdirectory(services)
add_subdirectory(providers)
add_subdirectory(webkit-options)
add_subdirectory(plugins)

ki18n_install(po)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kaccounts-providers (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:36:47 +0000

kaccounts-providers (4:24.12.2-0ubuntu2) plucky; urgency=medium

  * Move to ${qml6:Depends} instead of manually specifying each QML dep.
  * Drop hardcoded dependency on plasma-desktoptheme.
  * Run wrap-and-sort -t.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 18 Feb 2025 00:41:08 -0600

kaccounts-providers (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:11:29 +0000

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev (>= 4:24.12.3~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: qml6-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: libkf6purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kde-account-providers LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== debian/changelog ===
kaccounts-providers (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:25:23 +0200

kaccounts-providers (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Apr 2025 22:49:50 +0200

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev,
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               libkirigami-dev,
               libsignon-qt6-dev,
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/network/kaccounts-providers
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kaccounts-providers.git

Package: kaccounts-providers
Architecture: any
Depends: plasma-desktoptheme,
         signon-plugin-oauth2,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: libkf6purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 25.04.3

=== debian/changelog ===
kaccounts-providers (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:37:20 +0100

kaccounts-providers (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:39:00 +0100

kaccounts-providers (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:01:50 +0100

kaccounts-providers (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:43:05 +0100

=== debian/control ===
Source: kaccounts-providers
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               intltool,
               libkaccounts6-dev (>= 4:25.04.3~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6package-dev (>= 6.0.0~),
               pkg-kde-tools (>= 0.12),
               qcoro-qt6-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~) [amd64 arm64 armhf i386],
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdenetwork/kaccounts-providers
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kaccounts-providers

Package: kaccounts-providers
Architecture: any
Depends: qml6-module-qtwebengine [amd64 arm64 armhf i386],
         signon-plugin-oauth2,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: libkf6purpose-bin,
Description: KDE providers for accounts sign-on
 Provides additional configuration files for libaccounts and
 libsignon to recognize online services such as Facebook
 and Google.

## kaccounts-providers 25.07.80

=== debian/changelog ===
kaccounts-providers (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:40:21 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                intltool,
-               libkaccounts6-dev (>= 4:25.04.3~),
+               libkaccounts6-dev (>= 4:25.07.80~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6package-dev (>= 6.0.0~),

## kaccounts-providers 25.07.90

=== debian/changelog ===
kaccounts-providers (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                intltool,
-               libkaccounts6-dev (>= 4:25.07.80~),
+               libkaccounts6-dev (>= 4:25.07.90~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6package-dev (>= 6.0.0~),

## kaccounts-providers 25.08.0

=== debian/changelog ===
kaccounts-providers (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:49:45 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                intltool,
-               libkaccounts6-dev (>= 4:25.07.90~),
+               libkaccounts6-dev (>= 4:25.08.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6package-dev (>= 6.0.0~),

## kaccounts-providers 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "04")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(KACCOUNTS_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(kde-account-providers LANGUAGES CXX VERSION ${KACCOUNTS_VERSION})

=== services/CMakeLists.txt ===
kaccounts_add_service(owncloud-storage.service.in NO_INTLTOOL)
if(HAVE_WEBENGINE)
    kaccounts_add_service(nextcloud-contacts.service.in NO_INTLTOOL)
    kaccounts_add_service(nextcloud-storage.service.in NO_INTLTOOL)
endif()

=== plugins/owncloud-ui/CMakeLists.txt ===
add_library(owncloud_plugin_kaccounts MODULE
     owncloud.cpp
     owncloudcontroller.cpp
)

target_link_libraries(owncloud_plugin_kaccounts
                       Qt::Core
		       Qt::Qml
                       KF6::KIOCore
                       KF6::I18n
                       KF6::Package
                       KAccounts6
)

install(TARGETS owncloud_plugin_kaccounts
         DESTINATION ${KDE_INSTALL_PLUGINDIR}/kaccounts/ui
)
kpackage_install_package(package org.kde.kaccounts.owncloud genericqml)

ecm_install_icons(
ICONS
    256-apps-kaccounts-owncloud.png
DESTINATION
    ${KDE_INSTALL_ICONDIR}
)

=== debian/changelog ===
kaccounts-providers (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:05:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                intltool,
-               libkaccounts6-dev (>= 4:25.08.0~),
+               libkaccounts6-dev (>= 4:25.08.1~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
                libkf6package-dev (>= 6.0.0~),
